
public class VerschiebeChiffre
{
 	static public void main(String[] args)
 	{
		char myChar;
		for(int k=1; k!=25;k++)
		{
			System.out.println("Verschoben um: " + k);
			for(int y= 0;y<args.length;y++)
			{
				for(int i=0;i<args[y].length();i++)
				{
					myChar = args[y].charAt(i);
					System.out.print(ZahlToBuchstabe((BuchstabeToZahl(myChar)+k)%26));
				}
				System.out.print(" ");
			}
			System.out.println("");
		}
	}

	static int BuchstabeToZahl(char Buchstabe)
 	{
		switch ((int)Buchstabe)
		{
			case (int)'A':
			//System.out.println((int)myChar+" "+(int)'A');
			return 0;


			case (int)'a': return 0;


			case (int)'B': return 1;

			case (int) 'b': return 1;


			case (int) 'C': return 2;

			case (int) 'c': return 2;


			case (int) 'D': return 3;

			case (int) 'd': return 3;


			case (int) 'E': return 4;

			case (int) 'e': return 4;


			case (int) 'F': return 5;

			case (int) 'f': return 5;


			case (int) 'G': return 6;

			case (int) 'g': return 6;


			case (int) 'H': return 7;

			case (int) 'h': return 7;


			case (int) 'I': return 8;

			case (int) 'i': return 8;


			case (int) 'J': return 9;

			case (int) 'j': return 9;


			case (int) 'K': return 10;

			case (int) 'k': return 10;


			case (int) 'L': return 11;

			case (int) 'l': return 11;


			case (int) 'M': return 12;

			case (int) 'm': return 12;


			case (int) 'N': return 13;

			case (int) 'n': return 13;


			case (int) 'O': return 14;

			case (int) 'o': return 14;


			case (int) 'P': return 15;

			case (int) 'p': return 15;


			case (int) 'Q': return 16;

			case (int) 'q': return 16;


			case (int) 'R': return 17;

			case (int) 'r': return 17;


			case (int) 'S': return 18;

			case (int) 's': return 18;


			case (int) 'T': return 19;

			case (int) 't': return 19;


			case (int) 'U': return 20;

			case (int) 'u': return 20;


			case (int) 'V': return 21;

			case (int) 'v': return 21;


			case (int) 'W': return 22;

			case (int) 'w': return 22;


			case (int) 'X': return 23;

			case (int) 'x': return 23;


			case (int) 'Y': return 24;

			case (int) 'y': return 24;


			case (int) 'Z': return 25;

			case (int) 'z': return 25;

			default: return 28;

		}
	}
	static String ZahlToBuchstabe(int Zahl)
	 	{
			switch (Zahl)
			{
				case 0: return "A";


				case 1: return "B";


				case 2: return "C";


				case 3: return "D";


				case 4: return "E";


				case 5: return "F";


				case 6: return "G";


				case 7: return "H";


				case 8: return "I";


				case 9: return "J";


				case 10: return "K";


				case 11: return "L";


				case 12: return "M";


				case 13: return "N";


				case 14: return "O";


				case 15: return "P";


				case 16: return "Q";


				case 17: return "R";


				case 18: return "S";


				case 19: return "T";


				case 20: return "U";


				case 21: return "V";


				case 22: return "W";


				case 23: return "X";


				case 24: return "Y";


				case 25: return "Z";

				default: return "Error";
			}
		}
}
